<div class="modal fade" id="testEmailModal" tabindex="-1" aria-labelledby="testEmailModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg">
    <form
      class="modal-content"
      action="{% url 'send_test_email' %}"
      method="post"
    >
      {% csrf_token %}
      <div class="modal-header">
        <h1 class="modal-title fs-5" id="testEmailModalLabel">Sending a test email</h1>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <p>The test email will be sent to <strong>{{ request.user.username }}</strong>. Here are the values for each variable used in the template:</p>
        <ul>
          <li><strong>name</strong>: {% if request.user.first_name %}{{ request.user.first_name }}{% else %}{{ request.user.username }}{% endif %}</li>
          <li><strong>app_name</strong>: My App</li>
          <li><strong>vuln_images</strong>:</li>
                    <pre>

vuln_images = {
    'myapp_web:1.2.0': {
        'High': 5,
        'Critical': 2,
    },
    'myapp_server:1.1.0': {
        'High': 3,
        'Critical': 1,
    },
    'myapp_db:1.0.0': {
        'High': 1,
        'Critical': 0,
    },
}
                    </pre>
          <li><strong>email_sender</strong>: {{ email_sender }}</li>
        </ul>
        <p>Interpolated email template:</p>
        <div class="bg-light p-3">{{ interpolated_email_template }}</div>
      </div>
      <div class="modal-footer">
        <!-- <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button> -->
        <button type="submit" class="btn btn-sm btn-primary">Send test email</button>
      </div>
    </form>
  </div>
</div>
